LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
XAnnotation Interface Reference

This interface gives access to an annotation inside a document. More...

`import"XAnnotation.idl";`

Inheritance diagram for XAnnotation:

## Exported Interfaces
interface | ::com::sun::star::beans::XPropertySet
| All attributes are also available as properties. More...
interface | ::com::sun::star::lang::XComponent
| manages the lifetime of this annotation, should only be used by the owner of the annotation which should be the document itself. More...

## Public Attributes
any | Anchor
| a reference to the document content this annotation is anchored to. More...
::com::sun::star::geometry::RealPoint2D | Position
| this is an optional position that gives the user interface a hint where the annotation should be rendered. More...
::com::sun::star::geometry::RealSize2D | Size
| this is an optional size that gives the user interface a hint how large the annotation should be rendered. More...
string | Author
| stores the full name of the author who created this annotation. More...
string | Initials
| stores the initials of the author who created this annotation. More...
::com::sun::star::util::DateTime | DateTime
| stores the date and time this annotation was last edited. More...
::com::sun::star::text::XText | TextRange
| gives access to the annotations text. More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

This interface gives access to an annotation inside a document.

## Exported Interfaces

## ◆ ::com::sun::star::beans::XPropertySet

interface ::com::sun::star::beans::XPropertySet

All attributes are also available as properties.

## ◆ ::com::sun::star::lang::XComponent

interface ::com::sun::star::lang::XComponent

manages the lifetime of this annotation, should only be used by the owner of the annotation which should be the document itself.

## Member Data Documentation

## ◆ Anchor

any Anchor
| attribute readonly

a reference to the document content this annotation is anchored to.

## ◆ Author

string Author
| attribute

stores the full name of the author who created this annotation.

## ◆ DateTime

::com::sun::star::util::DateTime DateTime
| attribute

stores the date and time this annotation was last edited.

## ◆ Initials

string Initials
| attribute

stores the initials of the author who created this annotation.

## ◆ Position

::com::sun::star::geometry::RealPoint2D Position
| attribute

this is an optional position that gives the user interface a hint where the annotation should be rendered.

This could be an offset to the annotations anchor.

## ◆ Size

::com::sun::star::geometry::RealSize2D Size
| attribute

this is an optional size that gives the user interface a hint how large the annotation should be rendered.

## ◆ TextRange

::com::sun::star::text::XText TextRange
| attribute readonly

gives access to the annotations text.

The documentation for this interface was generated from the following file:

- com/sun/star/office/XAnnotation.idl